Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.factories
Class ButtonBarFactory

    java.lang.Object
      com.jgoodies.forms.factories.ButtonBarFactory

    public final class ButtonBarFactory

extends Object

A factory class that consists only of static methods to build frequently used button bars. Utilizes the `ButtonBarBuilder2` that in turn uses the `FormLayout` to lay out the bars.

The button bars returned by this builder comply with popular UI style guides.

Version:
  $Revision: 1.11 $
Author:
  Karsten Lentzsch
See Also:
  `LayoutStyle`

Method Summary
`static JPanel` | `buildAddRemoveBar(JButton add, JButton remove)` Builds and returns a filled button bar with Add and Remove.
`static JPanel` | `buildAddRemoveLeftBar(JButton add, JButton remove)` Builds and returns a left aligned button bar with Add and Remove.
`static JPanel` | `buildAddRemovePropertiesBar(JButton add, JButton remove, JButton properties)` Builds and returns a filled button bar with Add, Remove, and Properties.
`static JPanel` | `buildAddRemovePropertiesLeftBar(JButton add, JButton remove, JButton properties)` Builds and returns a left aligned button bar with Add, Remove, and Properties.
`static JPanel` | `buildAddRemovePropertiesRightBar(JButton add, JButton remove, JButton properties)` Builds and returns a right aligned button bar with Add, Remove, and Properties.
`static JPanel` | `buildAddRemoveRightBar(JButton add, JButton remove)` Builds and returns a right aligned button bar with Add and Remove.
`static JPanel` | `buildCenteredBar(JButton... buttons)` Builds and returns a centered button bar with the given buttons.
`static JPanel` | `buildCenteredBar(JButton button1)` Builds and returns a centered bar with one button.
`static JPanel` | `buildCloseBar(JButton close)` Builds and returns a button bar with Close.
`static JPanel` | `buildCloseHelpBar(JButton close, JButton help)` Builds and returns a button bar with Close and Help.
`static JPanel` | `buildGrowingBar(JButton... buttons)` Builds and returns a button bar with the given buttons.
`static JPanel` | `buildGrowingBar(JButton button1)` Builds and returns a filled bar with one button.
`static JPanel` | `buildHelpBar(JButton help, JButton... buttons)` Builds and returns a right aligned bar with help and other buttons.
`static JPanel` | `buildHelpBar(JButton help, JButton button1)` Builds and returns a right aligned bar with help and one button.
`static JPanel` | `buildHelpCloseBar(JButton help, JButton close)` Builds and returns a button bar with Help and Close.
`static JPanel` | `buildHelpOKBar(JButton help, JButton ok)` Builds and returns a button bar with Help and OK.
`static JPanel` | `buildHelpOKCancelApplyBar(JButton help, JButton ok, JButton cancel, JButton apply)` Builds and returns a button bar with Help, OK, Cancel and Apply.
`static JPanel` | `buildHelpOKCancelBar(JButton help, JButton ok, JButton cancel)` Builds and returns a button bar with Help, OK and Cancel.
`static JPanel` | `buildLeftAlignedBar(JButton... buttons)` Builds and returns a left aligned button bar with the given buttons.
`static JPanel` | `buildLeftAlignedBar(JButton button1)` Builds and returns a left aligned bar with one button.
`static JPanel` | `buildLeftAlignedBar(JButton[] buttons, boolean leftToRightButtonOrder)` Builds and returns a left aligned button bar with the given buttons.
`static JPanel` | `buildOKBar(JButton ok)` Builds and returns a button bar with OK.
`static JPanel` | `buildOKCancelApplyBar(JButton ok, JButton cancel, JButton apply)` Builds and returns a button bar with OK, Cancel and Apply.
`static JPanel` | `buildOKCancelApplyHelpBar(JButton ok, JButton cancel, JButton apply, JButton help)` Builds and returns a button bar with OK, Cancel, Apply and Help.
`static JPanel` | `buildOKCancelBar(JButton ok, JButton cancel)` Builds and returns a button bar with OK and Cancel.
`static JPanel` | `buildOKCancelHelpBar(JButton ok, JButton cancel, JButton help)` Builds and returns a button bar with OK, Cancel, and Help.
`static JPanel` | `buildOKHelpBar(JButton ok, JButton help)` Builds and returns a button bar with OK and Help.
`static JPanel` | `buildRightAlignedBar(JButton... buttons)` Builds and returns a right aligned button bar with the given buttons.
`static JPanel` | `buildRightAlignedBar(JButton button1)` Builds and returns a right aligned bar with one button.
`static JPanel` | `buildRightAlignedBar(JButton[] buttons, boolean leftToRightButtonOrder)` Builds and returns a right aligned button bar with the given buttons.
`static JPanel` | `buildWizardBar(JButton[] leftAlignedButtons, JButton back, JButton next, JButton[] rightAlignedButtons)` Builds and returns a wizard button bar.
`static JPanel` | `buildWizardBar(JButton[] leftAlignedButtons, JButton back, JButton next, JButton overlaidFinish, JButton[] rightAlignedButtons)` Builds and returns a wizard button bar.
`static JPanel` | `buildWizardBar(JButton back, JButton next, JButton[] rightAlignedButtons)` Builds and returns a wizard button bar that consists of the back and next buttons, and some right aligned buttons.
`static JPanel` | `buildWizardBar(JButton back, JButton next, JButton finish, JButton cancel)` Builds and returns a wizard button bar with: Back, Next, Finish, Cancel.
`static JPanel` | `buildWizardBar(JButton help, JButton back, JButton next, JButton finish, JButton cancel)` Builds and returns a wizard button bar with: Help and Back, Next, Finish, Cancel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildLeftAlignedBar

    public static JPanel buildLeftAlignedBar(JButton button1)

  Builds and returns a left aligned bar with one button.

  Parameters:
    `button1` - the first button to add
  Returns:
    a button bar with the given button

### buildLeftAlignedBar

    public static JPanel buildLeftAlignedBar(JButton... buttons)

  Builds and returns a left aligned button bar with the given buttons.

  Parameters:
    `buttons` - an array of buttons to add
  Returns:
    a left aligned button bar with the given buttons

### buildLeftAlignedBar

    public static JPanel buildLeftAlignedBar(JButton[] buttons,
                                             boolean leftToRightButtonOrder)

  Builds and returns a left aligned button bar with the given buttons.

  Parameters:
    `buttons` - an array of buttons to add
    `leftToRightButtonOrder` - the order in which the buttons to add
  Returns:
    a left aligned button bar with the given buttons

### buildCenteredBar

    public static JPanel buildCenteredBar(JButton button1)

  Builds and returns a centered bar with one button.

  Parameters:
    `button1` - the first button to add
  Returns:
    a button bar with the given button

### buildCenteredBar

    public static JPanel buildCenteredBar(JButton... buttons)

  Builds and returns a centered button bar with the given buttons.

  Parameters:
    `buttons` - an array of buttons to add
  Returns:
    a centered button bar with the given buttons

### buildGrowingBar

    public static JPanel buildGrowingBar(JButton button1)

  Builds and returns a filled bar with one button.

  Parameters:
    `button1` - the first button to add
  Returns:
    a button bar with the given button

### buildGrowingBar

    public static JPanel buildGrowingBar(JButton... buttons)

  Builds and returns a button bar with the given buttons. All button columns will grow with the bar.

  Parameters:
    `buttons` - an array of buttons to add
  Returns:
    a filled button bar with the given buttons

### buildRightAlignedBar

    public static JPanel buildRightAlignedBar(JButton button1)

  Builds and returns a right aligned bar with one button.

  Parameters:
    `button1` - the first button to add
  Returns:
    a button bar with the given button

### buildRightAlignedBar

    public static JPanel buildRightAlignedBar(JButton... buttons)

  Builds and returns a right aligned button bar with the given buttons.

  Parameters:
    `buttons` - an array of buttons to add
  Returns:
    a right aligned button bar with the given buttons

### buildRightAlignedBar

    public static JPanel buildRightAlignedBar(JButton[] buttons,
                                              boolean leftToRightButtonOrder)

  Builds and returns a right aligned button bar with the given buttons.

  Parameters:
    `buttons` - an array of buttons to add
    `leftToRightButtonOrder` - the order in which the buttons to add
  Returns:
    a right aligned button bar with the given buttons

### buildHelpBar

    public static JPanel buildHelpBar(JButton help,
                                      JButton button1)

  Builds and returns a right aligned bar with help and one button.

  Parameters:
    `help` - the help button to add on the left side
    `button1` - the first button to add
  Returns:
    a button bar with the given buttons

### buildHelpBar

    public static JPanel buildHelpBar(JButton help,
                                      JButton... buttons)

  Builds and returns a right aligned bar with help and other buttons.

  Parameters:
    `help` - the help button to add on the left side
    `buttons` - an array of buttons to add
  Returns:
    a right aligned button bar with the given buttons

### buildCloseBar

    public static JPanel buildCloseBar(JButton close)

  Builds and returns a button bar with Close.

  Parameters:
    `close` - the Close button
  Returns:
    a panel that contains the button(s)

### buildOKBar

    public static JPanel buildOKBar(JButton ok)

  Builds and returns a button bar with OK.

  Parameters:
    `ok` - the OK button
  Returns:
    a panel that contains the button(s)

### buildOKCancelBar

    public static JPanel buildOKCancelBar(JButton ok,
                                          JButton cancel)

  Builds and returns a button bar with OK and Cancel.

  Parameters:
    `ok` - the OK button
    `cancel` - the Cancel button
  Returns:
    a panel that contains the button(s)

### buildOKCancelApplyBar

    public static JPanel buildOKCancelApplyBar(JButton ok,
                                               JButton cancel,
                                               JButton apply)

  Builds and returns a button bar with OK, Cancel and Apply.

  Parameters:
    `ok` - the OK button
    `cancel` - the Cancel button
    `apply` - the Apply button
  Returns:
    a panel that contains the button(s)

### buildHelpCloseBar

    public static JPanel buildHelpCloseBar(JButton help,
                                           JButton close)

  Builds and returns a button bar with Help and Close.

  Parameters:
    `help` - the Help button
    `close` - the Close button
  Returns:
    a panel that contains the button(s)

### buildHelpOKBar

    public static JPanel buildHelpOKBar(JButton help,
                                        JButton ok)

  Builds and returns a button bar with Help and OK.

  Parameters:
    `help` - the Help button
    `ok` - the OK button
  Returns:
    a panel that contains the button(s)

### buildHelpOKCancelBar

    public static JPanel buildHelpOKCancelBar(JButton help,
                                              JButton ok,
                                              JButton cancel)

  Builds and returns a button bar with Help, OK and Cancel.

  Parameters:
    `help` - the Help button
    `ok` - the OK button
    `cancel` - the Cancel button
  Returns:
    a panel that contains the button(s)

### buildHelpOKCancelApplyBar

    public static JPanel buildHelpOKCancelApplyBar(JButton help,
                                                   JButton ok,
                                                   JButton cancel,
                                                   JButton apply)

  Builds and returns a button bar with Help, OK, Cancel and Apply.

  Parameters:
    `help` - the Help button
    `ok` - the OK button
    `cancel` - the Cancel button
    `apply` - the Apply button
  Returns:
    a panel that contains the button(s)

### buildCloseHelpBar

    public static JPanel buildCloseHelpBar(JButton close,
                                           JButton help)

  Builds and returns a button bar with Close and Help.

  Parameters:
    `close` - the Close button
    `help` - the Help button
  Returns:
    a panel that contains the button(s)

### buildOKHelpBar

    public static JPanel buildOKHelpBar(JButton ok,
                                        JButton help)

  Builds and returns a button bar with OK and Help.

  Parameters:
    `ok` - the OK button
    `help` - the Help button
  Returns:
    a panel that contains the button(s)

### buildOKCancelHelpBar

    public static JPanel buildOKCancelHelpBar(JButton ok,
                                              JButton cancel,
                                              JButton help)

  Builds and returns a button bar with OK, Cancel, and Help.

  Parameters:
    `ok` - the OK button
    `cancel` - the Cancel button
    `help` - the Help button
  Returns:
    a panel that contains the button(s)

### buildOKCancelApplyHelpBar

    public static JPanel buildOKCancelApplyHelpBar(JButton ok,
                                                   JButton cancel,
                                                   JButton apply,
                                                   JButton help)

  Builds and returns a button bar with OK, Cancel, Apply and Help.

  Parameters:
    `ok` - the OK button
    `cancel` - the Cancel button
    `apply` - the Apply button
    `help` - the Help button
  Returns:
    a panel that contains the button(s)

### buildAddRemoveLeftBar

    public static JPanel buildAddRemoveLeftBar(JButton add,
                                               JButton remove)

  Builds and returns a left aligned button bar with Add and Remove.

  Parameters:
    `add` - the Add button
    `remove` - the Remove button
  Returns:
    a panel that contains the button(s)

### buildAddRemoveBar

    public static JPanel buildAddRemoveBar(JButton add,
                                           JButton remove)

  Builds and returns a filled button bar with Add and Remove.

  Parameters:
    `add` - the Add button
    `remove` - the Remove button
  Returns:
    a panel that contains the button(s)

### buildAddRemoveRightBar

    public static JPanel buildAddRemoveRightBar(JButton add,
                                                JButton remove)

  Builds and returns a right aligned button bar with Add and Remove.

  Parameters:
    `add` - the Add button
    `remove` - the Remove button
  Returns:
    a panel that contains the button(s)

### buildAddRemovePropertiesLeftBar

    public static JPanel buildAddRemovePropertiesLeftBar(JButton add,
                                                         JButton remove,
                                                         JButton properties)

  Builds and returns a left aligned button bar with Add, Remove, and Properties.

  Parameters:
    `add` - the Add button
    `remove` - the Remove button
    `properties` - the Properties button
  Returns:
    a panel that contains the button(s)

### buildAddRemovePropertiesBar

    public static JPanel buildAddRemovePropertiesBar(JButton add,
                                                     JButton remove,
                                                     JButton properties)

  Builds and returns a filled button bar with Add, Remove, and Properties.

  Parameters:
    `add` - the Add button
    `remove` - the Remove button
    `properties` - the Properties button
  Returns:
    a panel that contains the button(s)

### buildAddRemovePropertiesRightBar

    public static JPanel buildAddRemovePropertiesRightBar(JButton add,
                                                          JButton remove,
                                                          JButton properties)

  Builds and returns a right aligned button bar with Add, Remove, and Properties.

  Parameters:
    `add` - the Add button
    `remove` - the Remove button
    `properties` - the Properties button
  Returns:
    a panel that contains the button(s)

### buildWizardBar

    public static JPanel buildWizardBar(JButton back,
                                        JButton next,
                                        JButton finish,
                                        JButton cancel)

  Builds and returns a wizard button bar with: Back, Next, Finish, Cancel.

  Parameters:
    `back` - the Back button
    `next` - the Next button
    `finish` - the Finish button
    `cancel` - the Cancel button
  Returns:
    a wizard button bar for back, next, finish, cancel

### buildWizardBar

    public static JPanel buildWizardBar(JButton help,
                                        JButton back,
                                        JButton next,
                                        JButton finish,
                                        JButton cancel)

  Builds and returns a wizard button bar with: Help and Back, Next, Finish, Cancel.

  Parameters:
    `help` - the Help button
    `back` - the Back button
    `next` - the Next button
    `finish` - the Finish button
    `cancel` - the Cancel button
  Returns:
    a wizard button bar for help, back, next, finish, cancel

### buildWizardBar

    public static JPanel buildWizardBar(JButton back,
                                        JButton next,
                                        JButton[] rightAlignedButtons)

  Builds and returns a wizard button bar that consists of the back and next buttons, and some right aligned buttons.

  Parameters:
    `back` - the mandatory back button
    `next` - the mandatory next button
    `rightAlignedButtons` - an optional array of buttons that will be located in the bar's right hand side
  Returns:
    a wizard button bar with back, next and a bunch of buttons

### buildWizardBar

    public static JPanel buildWizardBar(JButton[] leftAlignedButtons,
                                        JButton back,
                                        JButton next,
                                        JButton[] rightAlignedButtons)

  Builds and returns a wizard button bar. It consists of some left aligned buttons, the back and next buttons, and some right aligned buttons.

  Parameters:
    `leftAlignedButtons` - an optional array of buttons that will be positioned in the bar's left hand side
    `back` - the mandatory back button
    `next` - the mandatory next button
    `rightAlignedButtons` - an optional array of buttons that will be located in the bar's right hand side
  Returns:
    a wizard button bar with back, next and a bunch of buttons

### buildWizardBar

    public static JPanel buildWizardBar(JButton[] leftAlignedButtons,
                                        JButton back,
                                        JButton next,
                                        JButton overlaidFinish,
                                        JButton[] rightAlignedButtons)

  Builds and returns a wizard button bar. It consists of some left aligned buttons, the back, next group, and some right aligned buttons. To allow the finish button to overlay the next button, you can optionally provide the `overlayedFinish` parameter.

  Parameters:
    `leftAlignedButtons` - an optional array of buttons that will be positioned in the bar's left hand side
    `back` - the mandatory back button
    `next` - the mandatory next button
    `overlaidFinish` - the optional overlaid finish button
    `rightAlignedButtons` - an optional array of buttons that will be located in the bar's right hand side
  Returns:
    a wizard button bar with back, next and a bunch of buttons

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.